"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cosmiconfig_1 = require("cosmiconfig");
const cosmiconfig_typescript_loader_1 = require("@endemolshinegroup/cosmiconfig-typescript-loader");
function withConfig(callback) {
    const explorer = cosmiconfig_1.cosmiconfig("svelte-draft", {
        searchPlaces: [`svelte-draft.config.ts`],
        loaders: {
            ".ts": cosmiconfig_typescript_loader_1.default,
        },
    });
    explorer.search().then(configInfo => {
        let config = { DSLs: [], include: [], outDir: "./build" };
        if (configInfo && !configInfo.isEmpty) {
            config = Object.assign(Object.assign({}, config), configInfo.config);
        }
        callback(config);
    });
}
exports.withConfig = withConfig;
